
#include <iostream>

#include <gp-bnb/bnb.hpp>
#include <gp-bnb/graph.hpp>
#include <gp-bnb/partition.hpp>
#include <gp-bnb/metis_reader.hpp>

int main(int argc, char** argv) {

    std::string graphFile = argv[1];
    auto g = metis_reader().read(graphFile);

    std::cerr << "Number of nodes: " << g.num_nodes() << std::endl;

    auto sol = gp_bnb::solver(g);
    sol.solve();

    /*
    int i = 1;
    for(auto g : sol.best_solution()){
        
        std::cerr << i++ << ": " << g << std::endl;

    }
    */

}

